import { Bot } from "grammy";
import { BotContext } from "../mod.ts";
import { conversations, createConversation } from "grammy_conversations";
import { ConversationsEnum, post } from "./mod.ts";

export const setupConversations = (bot: Bot<BotContext>) => {
  bot.use(conversations());

  const postConversation = createConversation(
    post,
    ConversationsEnum.CREATE_POST,
  );
  bot.use(postConversation);

  // Add Log
  console.log("Conversations setup complete");
};
