import { Bot } from "grammy";
import { BotContext } from "../mod.ts";
import { cancel, post, start } from "./mod.ts";

export const setupCommands = (bot: Bot<BotContext>) => {
  bot.command("start", start);
  bot.command("post", post);
  bot.command("cancel", cancel);

  console.log("Commands setup complete");
};
