import { Bot } from "grammy";
import { BotContext } from "../mod.ts";
import { COMMUNITY_GROUP_ID } from "../config/mod.ts";
import { postCredits } from "./post_credits.ts";

export const setupMessages = (bot: Bot<BotContext>) => {
  bot.on("message:is_automatic_forward", async (ctx) => {
    if (ctx.chat.id === Number(COMMUNITY_GROUP_ID)) {
      await postCredits(ctx, ctx.message.message_id);
    }
  });

  console.log("Messages setup complete");
}