import { Bot, session } from "grammy";
import { BotContext } from "../mod.ts";
import { SessionStorage } from "./mod.ts";

export const setupSession = (bot: Bot<BotContext>) => {
  bot.use(session({
    initial: () => ({ sessionId: new Date().getTime() }),
    storage: SessionStorage,
  }));
};
